DATA-FLOW_APPLICATION_LIST(1)

NAME
data-flow_application_list -

DESCRIPTION

Lists all applications in the specified compartment.

USAGE

oci data-flow application list [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    The OCID of the compartment.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    The query parameter for the Spark application name.

--display-name-starts-with [text]

    The displayName prefix.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of results to return in a paginated List call.

--owner-principal-id [text]

    The OCID of the user who created the resource.

--page [text]

    The value of the opc-next-page or opc-prev-page response header from the last List call to sent back to server for getting the next page of results.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field used to sort the results. Multiple fields are not supported.

    Accepted values are:

    displayName, language, timeCreated

--sort-order [text]

    The ordering of results in ascending or descending order.

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle